diff --git a/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConf.class.php b/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConf.class.php
index 5d21a946..4ae0791f 100644
--- a/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConf.class.php
+++ b/drupal7/sites/all/modules/ldap/ldap_user/LdapUserConf.class.php
@@ -764,32 +790,36 @@ class LdapUserConf {
   }
 
   /**
-   * given a drupal account, query ldap and get all user fields and create user account
+   * Given a drupal account, query ldap and get all user fields and create user account.
    *
-   * @param array $account drupal account array with minimum of name
-   * @param array $user_edit drupal edit array in form user_save($account, $user_edit) would take,
-   *   generally empty unless overriding synchToDrupalAccount derived values
-   * @param array $ldap_user as user's ldap entry.  passed to avoid requerying ldap in cases where already present
-   * @param boolean $save indicating if drupal user should be saved.  generally depends on where function is called from.
+   * @param array $account
+   *   drupal account array with minimum of name.
+   * @param array $user_edit
+   *   drupal edit array in form user_save($account, $user_edit) would take,
+   *   generally empty unless overriding synchToDrupalAccount derived values.
+   * @param array $ldap_user
+   *   as user's ldap entry.  passed to avoid requerying ldap in cases where already present.
+   * @param bool $save
+   *   indicating if drupal user should be saved.  generally depends on where function is called from.
    *
-   * @return result of user_save() function is $save is true, otherwise return TRUE
+   * @return bool|object
+   *   Result of user_save() function is $save is true, otherwise return TRUE
    *   $user_edit data returned by reference
-   *
    */
   public function synchToDrupalAccount($drupal_user, &$user_edit, $prov_event = LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER, $ldap_user = NULL, $save = FALSE) {
 
-    $debug = array(
+    $debug = [
       'account' => $drupal_user,
       'user_edit' => $user_edit,
       'ldap_user' => $ldap_user,
-    );
+    ];
 
     if (
         (!$ldap_user  && !isset($drupal_user->name)) ||
         (!$drupal_user && $save) ||
         ($ldap_user && !isset($ldap_user['sid']))
     ) {
-       // should throw watchdog error also
+      // Should throw watchdog error also.
       return FALSE;
     }
 
@@ -803,7 +833,7 @@ class LdapUserConf {
 
     if ($this->drupalAcctProvisionServer) {
       $ldap_server = ldap_servers_get_servers($this->drupalAcctProvisionServer, NULL, TRUE);
-      $this->entryToUserEdit($ldap_user, $user_edit, $ldap_server, LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, array($prov_event));
+      $this->entryToUserEdit($ldap_user, $user_edit, $ldap_server, LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, [$prov_event]);
     }
 
     if ($save) {
@@ -816,11 +846,12 @@ class LdapUserConf {
     }
   }
 
-
   /**
-   * given a drupal account, delete user account
+   * Given a drupal account, delete user account.
+   *
+   * @param string $username
+   *   drupal account name.
    *
-   * @param string $username drupal account name
    * @return TRUE or FALSE.  FALSE indicates failed or action not enabled in ldap user configuration
    */
   public function deleteDrupalAccount($username) {
@@ -835,7 +866,7 @@ class LdapUserConf {
   }
 
   /**
-   * given a drupal account, find the related ldap entry.
+   * Given a drupal account, find the related ldap entry.
    *
    * @param drupal user object $account
    *
@@ -845,39 +876,40 @@ class LdapUserConf {
     if (!$prov_events) {
       $prov_events = ldap_user_all_events();
     }
-    $sid = $this->ldapEntryProvisionServer; //
+    $sid = $this->ldapEntryProvisionServer;
     if (!$sid) {
       return FALSE;
     }
-    // $user_entity->ldap_user_prov_entries,
+    // $user_entity->ldap_user_prov_entries,.
     $ldap_server = ldap_servers_get_servers($sid, NULL, TRUE);
-    $params = array(
+    $params = [
       'direction' => LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY,
       'prov_events' => $prov_events,
       'module' => 'ldap_user',
       'function' => 'getProvisionRelatedLdapEntry',
       'include_count' => FALSE,
-      );
+    ];
     list($proposed_ldap_entry, $error) = $this->drupalUserToLdapEntry($account, $ldap_server, $params);
     if (!(is_array($proposed_ldap_entry) && isset($proposed_ldap_entry['dn']) && $proposed_ldap_entry['dn'])) {
       return FALSE;
     }
-    $ldap_entry = $ldap_server->dnExists($proposed_ldap_entry['dn'], 'ldap_entry', array());
+    $ldap_entry = $ldap_server->dnExists($proposed_ldap_entry['dn'], 'ldap_entry', []);
     return $ldap_entry;
 
   }
 
   /**
-   * given a drupal account, delete ldap entry that was provisioned based on it
+   * Given a drupal account, delete ldap entry that was provisioned based on it
    *   normally this will be 0 or 1 entry, but the ldap_user_provisioned_ldap_entries
-   *   field attached to the user entity track each ldap entry provisioned
+   *   field attached to the user entity track each ldap entry provisioned.
+   *
+   * @param object $account
+   *   drupal account.
    *
-   * @param object $account drupal account
    * @return TRUE or FALSE.  FALSE indicates failed or action not enabled in ldap user configuration
    */
   public function deleteProvisionedLdapEntries($account) {
-    // determine server that is associated with user
-
+    // Determine server that is associated with user.
     $boolean_result = FALSE;
     if (isset($account->ldap_user_prov_entries[LANGUAGE_NONE][0])) {
       foreach ($account->ldap_user_prov_entries[LANGUAGE_NONE] as $i => $field_instance) {
@@ -888,7 +920,7 @@ class LdapUserConf {
           $ldap_server = ldap_servers_get_servers($sid, NULL, TRUE);
           if (is_object($ldap_server) && $dn) {
             $boolean_result = $ldap_server->delete($dn);
-            $tokens = array('%sid' => $sid, '%dn' => $dn, '%username' => $account->name, '%uid' => $account->uid);
+            $tokens = ['%sid' => $sid, '%dn' => $dn, '%username' => $account->name, '%uid' => $account->uid];
             if ($boolean_result) {
               watchdog('ldap_user', 'LDAP entry on server %sid deleted dn=%dn. username=%username, uid=%uid', $tokens, WATCHDOG_INFO);
             }
@@ -906,35 +938,37 @@ class LdapUserConf {
 
   }
 
-/**
-  *  populate ldap entry array for provisioning
-  *
-  * @param array $account drupal account
-  * @param object $ldap_server
-  * @param array $ldap_user ldap entry of user, returned by reference
-  * @param array $params with the following key values:
-  *    'ldap_context' =>
-       'module' => module calling function, e.g. 'ldap_user'
-       'function' => function calling function, e.g. 'provisionLdapEntry'
-       'include_count' => should 'count' array key be included
-       'direction' => LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY || LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER
-  *
-  * @return array(ldap entry, $result) in ldap extension array format.!THIS IS NOT THE ACTUAL LDAP ENTRY
-  */
-
-  function drupalUserToLdapEntry($account, $ldap_server, $params, $ldap_user_entry = NULL) {
+  /**
+   * Populate ldap entry array for provisioning.
+   *
+   * @param array $account
+   *   drupal account.
+   * @param \LdapServer $ldap_server
+   * @param array $ldap_user
+   *   ldap entry of user, returned by reference.
+   * @param array $params
+   *   with the following key values:
+   *   'ldap_context' =>
+   *   'module' => module calling function, e.g. 'ldap_user'
+   *   'function' => function calling function, e.g. 'provisionLdapEntry'
+   *   'include_count' => should 'count' array key be included
+   *   'direction' => LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY || LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER.
+   *
+   * @return array(ldap entry, $result) in ldap extension array format.!THIS IS NOT THE ACTUAL LDAP ENTRY
+   */
+  public function drupalUserToLdapEntry($account, $ldap_server, $params, $ldap_user_entry = NULL) {
     $provision = (isset($params['function']) && $params['function'] == 'provisionLdapEntry');
     $result = LDAP_USER_PROV_RESULT_NO_ERROR;
     if (!$ldap_user_entry) {
-      $ldap_user_entry = array();
+      $ldap_user_entry = [];
     }
 
     if (!is_object($account) || !is_object($ldap_server)) {
-      return array(NULL, LDAP_USER_PROV_RESULT_BAD_PARAMS);
+      return [NULL, LDAP_USER_PROV_RESULT_BAD_PARAMS];
     }
-    $watchdog_tokens = array(
+    $watchdog_tokens = [
       '%drupal_username' => $account->name,
-    );
+    ];
     $include_count = (isset($params['include_count']) && $params['include_count']);
 
     $direction = isset($params['direction']) ? $params['direction'] : LDAP_USER_PROV_DIRECTION_ALL;
@@ -942,10 +976,11 @@ class LdapUserConf {
 
     $mappings = $this->getSynchMappings($direction, $prov_events);
     foreach ($mappings as $field_key => $field_detail) {
-      list($ldap_attr_name, $ordinal, $conversion) = ldap_servers_token_extract_parts($field_key, TRUE);  //trim($field_key, '[]');
+      list($ldap_attr_name, $ordinal, $conversion) = ldap_servers_token_extract_parts($field_key, TRUE);
       $ordinal = (!$ordinal) ? 0 : $ordinal;
-      if ($ldap_user_entry && isset($ldap_user_entry[$ldap_attr_name]) && is_array($ldap_user_entry[$ldap_attr_name]) && isset($ldap_user_entry[$ldap_attr_name][$ordinal]) ) {
-        continue; // don't override values passed in;
+      if ($ldap_user_entry && isset($ldap_user_entry[$ldap_attr_name]) && is_array($ldap_user_entry[$ldap_attr_name]) && isset($ldap_user_entry[$ldap_attr_name][$ordinal])) {
+        // don't override values passed in.
+        continue;
       }
 
       $synched = $this->isSynched($field_key, $params['prov_events'], LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY);
@@ -953,9 +988,11 @@ class LdapUserConf {
         $token = ($field_detail['user_attr'] == 'user_tokens') ? $field_detail['user_tokens'] : $field_detail['user_attr'];
         $value = ldap_servers_token_replace($account, $token, 'user_account');
 
-        if (substr($token, 0, 10) == '[password.' && (!$value || $value == $token)) { // deal with empty/unresolved password
+        // Deal with empty/unresolved password.
+        if (substr($token, 0, 10) == '[password.' && (!$value || $value == $token)) {
           if (!$provision) {
-            continue; //don't overwrite password on synch if no value provided
+            // don't overwrite password on synch if no value provided.
+            continue;
           }
         }
 
@@ -964,7 +1001,7 @@ class LdapUserConf {
         }
         elseif ($value) {
           if (!isset($ldap_user_entry[$ldap_attr_name]) || !is_array($ldap_user_entry[$ldap_attr_name])) {
-            $ldap_user_entry[$ldap_attr_name] = array();
+            $ldap_user_entry[$ldap_attr_name] = [];
           }
           $ldap_user_entry[$ldap_attr_name][$ordinal] = $value;
           if ($include_count) {
@@ -983,29 +1020,32 @@ class LdapUserConf {
     $params['account'] = $account;
     drupal_alter('ldap_entry', $ldap_user_entry, $params);
 
-    return array($ldap_user_entry, $result);
+    return [$ldap_user_entry, $result];
 
   }
 
-
-
-   /**
-   * given a drupal account, query ldap and get all user fields and save user account
+  /**
+   * Given a drupal account, query ldap and get all user fields and save user account
    * (note: parameters are in odd order to match synchDrupalAccount handle)
    *
-   * @param array $account drupal account object or null
-   * @param array $user_edit drupal edit array in form user_save($account, $user_edit) would take.
-   * @param array $ldap_user as user's ldap entry.  passed to avoid requerying ldap in cases where already present
-   * @param boolean $save indicating if drupal user should be saved.  generally depends on where function is called from and if the
+   * @param array $account
+   *   drupal account object or null.
+   * @param array $user_edit
+   *   drupal edit array in form user_save($account, $user_edit) would take.
+   * @param array $ldap_user
+   *   as user's ldap entry.  passed to avoid requerying ldap in cases where already present.
+   * @param bool $save
+   *   indicating if drupal user should be saved.  generally depends on where function is called from and if the.
    *
-   * @return result of user_save() function is $save is true, otherwise return TRUE on success or FALSE on any problem
-   *   $user_edit data returned by reference
+   * @return bool
+   *   Resultof user_save() function is $save is true, otherwise return TRUE on
+   *   success or FALSE on any problem
    *
+   *   $user_edit data returned by reference
    */
-
   public function provisionDrupalAccount($account = FALSE, &$user_edit, $ldap_user = NULL, $save = TRUE) {
 
-    $watchdog_tokens = array();
+    $watchdog_tokens = [];
     /**
      * @todo
      * -- add error catching for conflicts, conflicts should be checked before calling this function.
@@ -1038,43 +1078,47 @@ class LdapUserConf {
       $user_edit['name'] = $account->name;
       $watchdog_tokens['%username'] = $user_edit['name'];
     }
-    //When using the multi-domain last authentication option
-    //$ldap_server breaks beacause $this->drupalAcctProvisionServer is set on LDAP_USER_AUTH_SERVER_SID
-    //So we need to check it's not the case before using ldap_servers_get_servers
+    // When using the multi-domain last authentication option
+    // $ldap_server breaks beacause $this->drupalAcctProvisionServer is set on LDAP_USER_AUTH_SERVER_SID
+    // So we need to check it's not the case before using ldap_servers_get_servers.
     if ($this->drupalAcctProvisionServer && $this->drupalAcctProvisionServer != LDAP_USER_AUTH_SERVER_SID) {
 
-      $ldap_server = ldap_servers_get_servers($this->drupalAcctProvisionServer, 'enabled', TRUE);  // $ldap_user['sid']
+      /** @var \LdapServer $ldap_server */
+      // $ldap_user['sid'].
+      $ldap_server = ldap_servers_get_servers($this->drupalAcctProvisionServer, 'enabled', TRUE);
 
-      $params = array(
+      $params = [
         'account' => $account,
         'user_edit' => $user_edit,
         'prov_event' => LDAP_USER_EVENT_CREATE_DRUPAL_USER,
         'module' => 'ldap_user',
         'function' => 'provisionDrupalAccount',
         'direction' => LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER,
-      );
+      ];
 
       drupal_alter('ldap_entry', $ldap_user, $params);
 
-      // look for existing drupal account with same puid.  if so update username and attempt to synch in current context
+      // Look for existing drupal account with same puid.  if so update username and attempt to synch in current context.
       $puid = $ldap_server->userPuidFromLdapEntry($ldap_user['attr']);
-      $account2 = ($puid) ? $ldap_server->userUserEntityFromPuid($puid) : FALSE;
-
-      if ($account2) { // synch drupal account, since drupal account exists
-        // 1. correct username and authmap
-        $this->entryToUserEdit($ldap_user, $user_edit, $ldap_server, LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, array(LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER));
-        $account = user_save($account2, $user_edit, 'ldap_user');
-        user_set_authmaps($account, array("authname_ldap_user" => $user_edit['name']));
-        // 2. attempt synch if appropriate for current context
+      $existing_account_from_puid = ($puid) ? $ldap_server->userUserEntityFromPuid($puid) : FALSE;
+
+      // Synch drupal account, since drupal account exists.
+      if ($existing_account_from_puid) {
+        // 1. correct username and authmap.
+        $this->entryToUserEdit($ldap_user, $user_edit, $ldap_server, LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, [LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER]);
+        $account = user_save($existing_account_from_puid, $user_edit, 'ldap_user');
+        user_set_authmaps($account, ["authname_ldap_user" => $user_edit['name']]);
+        // 2. attempt synch if appropriate for current context.
         if ($account) {
           $account = $this->synchToDrupalAccount($account, $user_edit, LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER, $ldap_user, TRUE);
         }
         return $account;
       }
-      else { // create drupal account
-        $this->entryToUserEdit($ldap_user, $user_edit, $ldap_server, LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, array(LDAP_USER_EVENT_CREATE_DRUPAL_USER));
+      // Create drupal account.
+      else {
+        $this->entryToUserEdit($ldap_user, $user_edit, $ldap_server, LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, [LDAP_USER_EVENT_CREATE_DRUPAL_USER]);
         if ($save) {
-          $watchdog_tokens = array('%drupal_username' => $user_edit['name']);
+          $watchdog_tokens = ['%drupal_username' => $user_edit['name']];
           if (empty($user_edit['name'])) {
             drupal_set_message(t('User account creation failed because of invalid, empty derived Drupal username.'), 'error');
             watchdog('ldap_user',
@@ -1093,7 +1137,7 @@ class LdapUserConf {
             );
             return FALSE;
           }
-          if(($this->accountsWithSameEmail == LDAP_USER_ACCOUNTS_WITH_SAME_EMAIL_DISABLED) && ($account_with_same_email = user_load_by_mail($user_edit['mail']))) {
+          if (($this->accountsWithSameEmail == LDAP_USER_ACCOUNTS_WITH_SAME_EMAIL_DISABLED) && ($account_with_same_email = user_load_by_mail($user_edit['mail']))) {
             $watchdog_tokens['%email'] = $user_edit['mail'];
             $watchdog_tokens['%duplicate_name'] = $account_with_same_email->name;
             watchdog('ldap_user', 'LDAP user %drupal_username has email address
@@ -1106,7 +1150,7 @@ class LdapUserConf {
             drupal_set_message(t('User account creation failed because of system problems.'), 'error');
           }
           else {
-            user_set_authmaps($account, array('authname_ldap_user' => $account->name));
+            user_set_authmaps($account, ['authname_ldap_user' => $account->name]);
             ldap_user_ldap_provision_semaphore('drupal_created', 'set', $account->name);
           }
           return $account;
@@ -1117,25 +1161,26 @@ class LdapUserConf {
   }
 
   /**
-   * set ldap associations of a drupal account by altering user fields
+   * Set ldap associations of a drupal account by altering user fields.
    *
    * @param string $drupal_username
    *
-   * @return boolean TRUE on success, FALSE on error or failure because of invalid user or ldap accounts
-   *
+   * @return bool
+   *   TRUE on success, FALSE on error or failure because of invalid user or ldap accounts
    */
-  function ldapAssociateDrupalAccount($drupal_username) {
+  public function ldapAssociateDrupalAccount($drupal_username) {
 
     if ($this->drupalAcctProvisionServer) {
-      $prov_events = array(LDAP_USER_EVENT_LDAP_ASSOCIATE_DRUPAL_ACCT);
-      $ldap_server = ldap_servers_get_servers($this->drupalAcctProvisionServer, 'enabled', TRUE);  // $ldap_user['sid']
+      $prov_events = [LDAP_USER_EVENT_LDAP_ASSOCIATE_DRUPAL_ACCT];
+      // $ldap_user['sid'].
+      $ldap_server = ldap_servers_get_servers($this->drupalAcctProvisionServer, 'enabled', TRUE);
       $account = user_load_by_name($drupal_username);
       $ldap_user = ldap_servers_get_user_ldap_data($drupal_username, $this->drupalAcctProvisionServer, 'ldap_user_prov_to_drupal');
       if (!$account) {
         watchdog(
           'ldap_user',
           'Failed to LDAP associate drupal account %drupal_username because account not found',
-          array('%drupal_username' => $drupal_username),
+          ['%drupal_username' => $drupal_username],
           WATCHDOG_ERROR
         );
         return FALSE;
@@ -1144,27 +1189,27 @@ class LdapUserConf {
         watchdog(
           'ldap_user',
           'Failed to LDAP associate drupal account %drupal_username because corresponding LDAP entry not found',
-          array('%drupal_username' => $drupal_username),
+          ['%drupal_username' => $drupal_username],
           WATCHDOG_ERROR
         );
         return FALSE;
       }
       else {
-        $user_edit = array();
-        $user_edit['data']['ldap_user']['init'] = array(
+        $user_edit = [];
+        $user_edit['data']['ldap_user']['init'] = [
           'sid'  => $ldap_user['sid'],
           'dn'   => $ldap_user['dn'],
           'mail'   => $account->mail,
-        );
+        ];
         $ldap_user_puid = $ldap_server->userPuidFromLdapEntry($ldap_user['attr']);
         if ($ldap_user_puid) {
-          $user_edit['ldap_user_puid'][LANGUAGE_NONE][0]['value'] = $ldap_user_puid; //
+          $user_edit['ldap_user_puid'][LANGUAGE_NONE][0]['value'] = $ldap_user_puid;
         }
         $user_edit['ldap_user_puid_property'][LANGUAGE_NONE][0]['value'] = $ldap_server->unique_persistent_attr;
         $user_edit['ldap_user_puid_sid'][LANGUAGE_NONE][0]['value'] = $ldap_server->sid;
         $user_edit['ldap_user_current_dn'][LANGUAGE_NONE][0]['value'] = $ldap_user['dn'];
         $account = user_save($account, $user_edit, 'ldap_user');
-        return (boolean)$account;
+        return (boolean) $account;
       }
     }
     else {
@@ -1172,20 +1217,20 @@ class LdapUserConf {
     }
   }
 
-  /** populate $user edit array (used in hook_user_save, hook_user_update, etc)
-   * ... should not assume all attribues are present in ldap entry
+  /**
+   * Populate $user edit array (used in hook_user_save, hook_user_update, etc)
+   * ... should not assume all attribues are present in ldap entry.
    *
-   * @param array ldap entry $ldap_user
-   * @param array $edit see hook_user_save, hook_user_update, etc
-   * @param object $ldap_server
-   * @param enum $direction
+   * @param $ldap_user
+   * @param array $edit
+   *   see hook_user_save, hook_user_update, etc.
+   * @param \LdapServer $ldap_server
+   * @param int $direction
    * @param array $prov_events
-   *
    */
+  public function entryToUserEdit($ldap_user, &$edit, $ldap_server, $direction = LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, $prov_events = NULL) {
 
-  function entryToUserEdit($ldap_user, &$edit, $ldap_server, $direction = LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, $prov_events = NULL) {
-
-    // need array of user fields and which direction and when they should be synched.
+    // Need array of user fields and which direction and when they should be synched.
     if (!$prov_events) {
       $prov_events = ldap_user_all_events();
     }
@@ -1207,17 +1252,17 @@ class LdapUserConf {
       $edit['mail'] = isset($edit['mail']) ? $edit['mail'] : $ldap_user['mail'];
       if (!isset($edit['pass'])) {
         $edit['pass'] = user_password(20);
-        watchdog('ldap_user', '20 character random password generated for the %username account that has been created.', array('%username' => $drupal_username), WATCHDOG_INFO);
+        watchdog('ldap_user', '20 character random password generated for the %username account that has been created.', ['%username' => $drupal_username], WATCHDOG_INFO);
       }
       $edit['init'] = isset($edit['init']) ? $edit['init'] : $edit['mail'];
       $edit['status'] = isset($edit['status']) ? $edit['status'] : 1;
       $edit['signature'] = isset($edit['signature']) ? $edit['signature'] : '';
 
-      $edit['data']['ldap_user']['init'] = array(
+      $edit['data']['ldap_user']['init'] = [
         'sid'  => $ldap_user['sid'],
         'dn'   => $ldap_user['dn'],
         'mail' => $edit['mail'],
-      );
+      ];
     }
 
     /*
@@ -1225,11 +1270,11 @@ class LdapUserConf {
      * when syncing the profile.
      */
     if ($direction == LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER && in_array(LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER, $prov_events)) {
-       $edit['data']['ldap_user']['init'] = array(
+      $edit['data']['ldap_user']['init'] = [
         'sid'  => $ldap_user['sid'],
         'dn'   => $ldap_user['dn'],
         'mail' => isset($edit['mail']) && !empty($edit['mail']) ? $edit['mail'] : $ldap_user['mail'],
-      );
+      ];
     }
 
     if ($this->isSynched('[property.picture]', $prov_events, $direction)) {
@@ -1237,7 +1282,8 @@ class LdapUserConf {
       if ($picture) {
         if (in_array(LDAP_USER_EVENT_CREATE_DRUPAL_USER, $prov_events)) {
           $edit['picture'] = $picture->fid;
-        } else {
+        }
+        else {
           $edit['picture'] = $picture;
         }
         $edit['data']['ldap_user']['init']['thumb5md'] = $picture->md5Sum;
@@ -1250,7 +1296,7 @@ class LdapUserConf {
     if ($this->isSynched('[field.ldap_user_puid]', $prov_events, $direction)) {
       $ldap_user_puid = $ldap_server->userPuidFromLdapEntry($ldap_user['attr']);
       if ($ldap_user_puid) {
-        $edit['ldap_user_puid'][LANGUAGE_NONE][0]['value'] = $ldap_user_puid; //
+        $edit['ldap_user_puid'][LANGUAGE_NONE][0]['value'] = $ldap_user_puid;
       }
     }
     if ($this->isSynched('[field.ldap_user_puid_property]', $prov_events, $direction)) {
@@ -1266,14 +1312,14 @@ class LdapUserConf {
     // Get any additional mappings.
     $mappings = $this->getSynchMappings($direction, $prov_events);
 
-     // Loop over the mappings.
+    // Loop over the mappings.
     foreach ($mappings as $user_attr_key => $field_detail) {
 
-       // Make sure this mapping is relevant to the sync context.
+      // Make sure this mapping is relevant to the sync context.
       if (!$this->isSynched($user_attr_key, $prov_events, $direction)) {
         continue;
       }
-       /**
+      /**
         * if "convert from binary is selected" and no particular method is in token,
         * default to ldap_servers_binary() function
         */
@@ -1283,8 +1329,7 @@ class LdapUserConf {
       $value = ldap_servers_token_replace($ldap_user['attr'], $field_detail['ldap_attr'], 'ldap_entry');
       list($value_type, $value_name, $value_instance) = ldap_servers_parse_user_attr_name($user_attr_key);
 
-      // $value_instance not used, may have future use case
-
+      // $value_instance not used, may have future use case.
       // Are we dealing with a field?
       if ($value_type == 'field') {
         // Field api field - first we get the field.
@@ -1292,9 +1337,9 @@ class LdapUserConf {
         // Then the columns for the field in the schema.
         $columns = array_keys($field['columns']);
         // Then we convert the value into an array if it's scalar.
-        $values = $field['cardinality'] == 1 ? array($value) : (array) $value;
+        $values = $field['cardinality'] == 1 ? [$value] : (array) $value;
 
-        $items = array();
+        $items = [];
         // Loop over the values and set them in our $items array.
         foreach ($values as $delta => $value) {
           if (isset($value)) {
@@ -1313,24 +1358,30 @@ class LdapUserConf {
     }
 
     // Allow other modules to have a say.
-
     drupal_alter('ldap_user_edit_user', $edit, $ldap_user, $ldap_server, $prov_events);
-    if (isset($edit['name']) && $edit['name'] == '') {  // don't let empty 'name' value pass for user
+    // don't let empty 'name' value pass for user.
+    if (isset($edit['name']) && $edit['name'] == '') {
       unset($edit['name']);
     }
 
   }
+
   /**
-   * given configuration of synching, determine is a given synch should occur
+   * Given configuration of synching, determine is a given synch should occur.
    *
-   * @param string $attr_token e.g. [property.mail], [field.ldap_user_puid_property]
-   * @param object $ldap_server
-   * @param array $prov_events e.g. array(LDAP_USER_EVENT_CREATE_DRUPAL_USER).  typically array with 1 element
-   * @param scalar $direction LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER or LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY
+   * @param string $attr_token
+   *   e.g. [property.mail], [field.ldap_user_puid_property].
+   * @param array $prov_events
+   *   e.g. array(LDAP_USER_EVENT_CREATE_DRUPAL_USER).  typically array with 1
+   *   element.
+   * @param scalar $direction
+   *   LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER or
+   *   LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY.
+   *
+   * @return bool
    */
-
   public function isSynched($attr_token, $prov_events, $direction) {
-    $result = (boolean)(
+    $result = (boolean) (
       isset($this->synchMapping[$direction][$attr_token]['prov_events']) &&
       count(array_intersect($prov_events, $this->synchMapping[$direction][$attr_token]['prov_events']))
     );
